import RPi.GPIO as GPIO, time
from iotutils import getCurrentTimeStamp
GPIO.setmode(GPIO.BCM)
# Write your program below

soundDetectionPin = 21
GPIO.setup(soundDetectionPin, GPIO.IN)
interval = 1
print("Sound detection started.")

while True:
    try:
        if GPIO.input(soundDetectionPin) == GPIO.LOW:
            print("Sound detected: " + getCurrentTimeStamp())
            time.sleep(interval)
    except KeyboardInterrupt:
        break


# Write your program above this line
GPIO.cleanup()
